TSFILTER(1)

NAME
tsfilter - Output a filtered or truncated version of a transport stream

SYNOPSIS
tsfilter [-verbose | -v] [-i in_file] [-o out_file] [-max max_pkts | -m max_pkts] [! | -invert] pid_no [pid_no] ...

DESCRIPTION
Filter the given pid_nos out of stdin and write the result on stdout.

-i in_file
    Take input from this file and not stdin.

-o out_file
    Send output to this file and not stdout.

-v, -verbose
    Be verbose.

-m max_pkts, -max max_pkts
    All packets after the nth are regarded as not matching any pids.

!, -invert
    Invert whatever your decision was before applying it - the output contains only pids not in the list up to max packets and all packets in the input from then on.

SEE ALSO
esdots(1),